[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomFloatSpinEdit.ValueToStr

Converts the specified value to a String type using the spin edit settings.

## Declaration

Source position: spin.pp line 75

`public function TCustomFloatSpinEdit.ValueToStr(`
`const AValue: Double`
`):string; virtual;`

## Arguments

`AValue` |  | Float value converted to a string in the method.

## Function result

String representation for the float value.

## Description

Calls GetLimitedValue to range limit the value in AValue. Calls FloatToStrF to format the return value using 20 digits of precision and the number of decimals in the DecimalPlaces property.